<?php
// Author: Eric Braswell, ebraswell@cobalt, Kevin Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: netbackup.php,v 1.5 2000/10/31 01:43:00 jcheng Exp $

include("ServerScriptHelper.php");

include("User.php");
include("Meta.php");

$serverScriptHelper = new ServerScriptHelper();
$product = $serverScriptHelper->getProductCode();
$isMonterey = ereg("35[0-9][0-9]R", $product);

if ( $isMonterey && ! user_authok( $PHP_AUTH_USER, "admin")) {
  $serverScriptHelper->destructor();
  header("location: /.cobalt/error/forbidden.html");
  return;
}

$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("veritas-netbackup", "/veritas/netbackup/netbackupLicense.php");

// get settings
$systemObj = $cceClient->getObject("System",array(),"NetBackup");

$page = $factory->getPage();

$block = $factory->getPagedBlock("netbackupSettings");  // ID of settings

if (!$isMonterey) {
  // make master, extra host names
  $masterHost = $factory->getDomainName("vtNetBackupMasterField",$systemObj["vtNetBackupMaster"]);
  $masterHost->setOptional("silent");
  $extrasHosts = $factory->getDomainNameList("vtNetBackupExtrasField",$systemObj["vtNetBackupExtras"]);	
  $extrasHosts->setOptional("silent");

  // make option
  $option = $factory->getOption("enableServer", $systemObj["enable"]);
  
  // make multi choice
  $multiChoice = $factory->getMultiChoice("enableServer");
  
  // add master host name to option
  $option->addFormField($masterHost, $factory->getLabel("vtNetBackupMasterField"));

  // add extras host name to option
  $option->addFormField($extrasHosts, $factory->getLabel("vtNetBackupExtrasField"));
  
  // add option to multi choice
  $multiChoice->addOption($option);
  
  // add multi choice to block
  $block->addFormField($multiChoice,  $factory->getLabel("enableServer"));
  
  $block->addButton($factory->getSaveButton($page->getSubmitAction()));
} else {
  // make master, extra host names
  $masterHost = $factory->getDomainName("vtNetBackupMasterField",$systemObj["vtNetBackupMaster"]);
  $masterHost->setOptional("silent");
  $extrasHosts = $factory->getDomainNameList("vtNetBackupExtrasField",$systemObj["vtNetBackupExtras"]);	
  $extrasHosts->setOptional("silent");

  // make enableButton
  $enableServer = $factory->getBoolean("enableServer", $systemObj["enable"]);
  
  // add enable to block
  $block->addFormField($enableServer,  $factory->getLabel("enableServer"));
  
  // add host name to block
  $block->addFormField($masterHost, $factory->getLabel("vtNetBackupMasterField"));
  $block->addFormField($extrasHosts, $factory->getLabel("vtNetBackupExtrasField"));

  $block->addButton($factory->getSaveButton($page->getSubmitAction()));
}  

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<?php print($block->toHtml()); ?>

<?php print($page->toFooterHtml()); ?>


